import { expect, tap } from '@pushrocks/tapbundle';
import * as letterxpress from '../ts/index';

import { Qenv } from '@pushrocks/qenv';
let testQenv = new Qenv('./', './.nogit/');

let testAccount: letterxpress.LetterXpressAccount;

tap.test('should create a valid account', async () => {
  testAccount = new letterxpress.LetterXpressAccount({
    apiKey: testQenv.getEnvVarOnDemand('API_TOKEN'),
    email: testQenv.getEnvVarOnDemand('API_EMAIL')
  });
  expect(testAccount).to.be.instanceOf(letterxpress.LetterXpressAccount);
});

tap.start();
